## mofed-modules-24.10 24.10.1.1.4.0

=== iser/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only

obj-$(CONFIG_INFINIBAND_ISER)	+= ib_iser.o
obj-$(CONFIG_INFINIBAND_ISER_DUMMY)		+= ib_iser.o

ifeq ($(CONFIG_INFINIBAND_ISER_DUMMY),m)
ib_iser-y := ib_iser_dummy.o
else ifeq ($(CONFIG_ISCSI_TCP),)
ib_iser-y := ib_iser_dummy.o
else
ib_iser-y			:= iser_verbs.o iser_initiator.o iser_memory.o \
				   iscsi_iser.o
endif

=== isert/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only
ccflags-y		:= -Idrivers/target -Idrivers/target/iscsi
obj-$(CONFIG_INFINIBAND_ISERT)	+= ib_isert.o
obj-$(CONFIG_INFINIBAND_ISERT_DUMMY) += ib_isert.o

ifeq ($(CONFIG_INFINIBAND_ISERT_DUMMY),m)
ib_isert-y := ib_isert_dummy.o
else ifeq ($(CONFIG_ISCSI_TARGET),)
ib_isert-y := ib_isert_dummy.o
endif

=== mlnx-nvme/Makefile ===
# SPDX-License-Identifier: GPL-2.0-only

obj-$(CONFIG_NVME_COMMON)          += common/
obj-y		+= host/
obj-y		+= target/
obj-y		+= lpfc/

=== kernel-mft/mstflint/Makefile ===
KERNAL_VERSION ?= $(shell uname -r)
CPU_ARCH ?= $(shell uname -m)

# Oracle Linux OS.
ifneq ($(shell if (echo $(KERNAL_VERSION) | grep -qE 'uek'); then \
                                       echo "YES"; else echo ""; fi),)
override WITH_MAKE_PARAMS += ctf-dir=$(CWD)/.ctf
endif

NNT_DRIVER_ROOT_LOCATION = ../
NNT_DRIVER_LOCATION = ../nnt_driver
PACKAGE_NAME = nnt-driver
PACKAGE_VERSION = 1.0.0
PACKAGE_RC = 1

%: %.in
	sed \
		-e 's/@PACKAGE_NAME@/$(PACKAGE_NAME)/g' \
		-e 's/@PACKAGE_VERSION@/$(PACKAGE_VERSION)/g' \
		-e 's/@PACKAGE_RC@/$(PACKAGE_RC)/g' \
	<$< >$@

obj-m += mstflint_access.o
EXTRA_CFLAGS= -I$(PWD)/$(NNT_DRIVER_LOCATION)
mstflint_access-objs += $(NNT_DRIVER_LOCATION)/nnt_device.o $(NNT_DRIVER_LOCATION)/nnt_dma.o $(NNT_DRIVER_LOCATION)/nnt_pci_conf_access.o \
		 			$(NNT_DRIVER_LOCATION)/nnt_pci_conf_access_recovery.o $(NNT_DRIVER_LOCATION)/nnt_memory_access.o \
		   	        $(NNT_DRIVER_LOCATION)/nnt_ioctl.o mst_main.o $(NNT_DRIVER_LOCATION)/nnt_gpu.o

all:
	make -C /lib/modules/$(KERNAL_VERSION)/build M=$(PWD) CONFIG_CTF= CONFIG_CC_STACKPROTECTOR_STRONG= $(WITH_MAKE_PARAMS) modules

clean:
	make -C /lib/modules/$(KERNAL_VERSION)/build M=$(PWD) clean

=== kernel-mft/nnt_driver/Makefile ===
KVERSION ?= $(shell uname -r)
CPU_ARCH ?= $(shell uname -m)

# Oracle Linux OS.
ifneq ($(shell if (echo $(KVERSION) | grep -qE 'uek'); then \
                                       echo "YES"; else echo ""; fi),)
override WITH_MAKE_PARAMS += ctf-dir=$(CWD)/.ctf
endif

PACKAGE_NAME = nnt-driver
PACKAGE_VERSION = 1.0.0
PACKAGE_RC = 1

%: %.in
	sed \
		-e 's/@PACKAGE_NAME@/$(PACKAGE_NAME)/g' \
		-e 's/@PACKAGE_VERSION@/$(PACKAGE_VERSION)/g' \
		-e 's/@PACKAGE_RC@/$(PACKAGE_RC)/g' \
	<$< >$@

ifneq ($(findstring ppc64, $(CPU_ARCH)),)
obj-m += mst_ppc_pci_reset.o
endif

obj-m += nnt_driver.o
nnt_driver-objs += nnt_device.o nnt_dma.o nnt_pci_conf_access.o \
		 		   nnt_pci_conf_access_recovery.o nnt_memory_access.o \
		   	       nnt_ioctl.o nnt_gpu.o

all:
	make -C /lib/modules/$(KVERSION)/build M=$(PWD) CONFIG_CTF= CONFIG_CC_STACKPROTECTOR_STRONG= $(WITH_MAKE_PARAMS) modules

clean:
	make -C /lib/modules/$(KVERSION)/build M=$(PWD) clean

=== mlnx-nvme/common/Makefile ===
# SPDX-License-Identifier: GPL-2.0

ccflags-y			+= -I$(src)

obj-$(CONFIG_NVME_HOST_AUTH)		+= nvme-auth.o
obj-$(CONFIG_NVME_KEYRING)	+= nvme-keyring.o

nvme-auth-y			+= auth.o
nvme-keyring-y			+= keyring.o

=== mlnx-nvme/host/Makefile ===
# SPDX-License-Identifier: GPL-2.0

ccflags-y				+= -I$(src)
ifeq ($(CONFIG_GPU_DIRECT_STORAGE),y)
ccflags-y				+= -DCONFIG_NVFS
endif

obj-$(CONFIG_NVME_CORE)			+= nvme-core.o
obj-$(CONFIG_BLK_DEV_NVME)		+= nvme.o
obj-$(CONFIG_NVME_FABRICS)		+= nvme-fabrics.o
obj-$(CONFIG_NVME_RDMA)			+= nvme-rdma.o
obj-$(CONFIG_NVME_FC)			+= nvme-fc.o
obj-$(CONFIG_NVME_TCP)			+= nvme-tcp.o
obj-$(CONFIG_NVME_APPLE)		+= nvme-apple.o
ifeq ($(CONFIG_BLK_DEV_NVME),m)
obj-$(CONFIG_COMPAT_NVME_SNAP_VFIO_PCI)	+= nvme_snap_vfio_pci.o
endif

obj-$(CONFIG_NVME_HOST_DUMMY)		+= nvme-rdma.o

# --with-nvmf-host-rdma-only
# dummy
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)		+= nvme-fc.o

ifeq ($(CONFIG_NVME_HOST_DUMMY),m)
nvme-rdma-y				:= nvme-rdma_dummy.o
else
nvme-core-y				:= core.o ioctl.o sysfs.o pr.o
nvme-core-$(CONFIG_NVME_VERBOSE_ERRORS)   += constants.o
nvme-core-$(CONFIG_TRACING)		+= trace.o
nvme-core-$(CONFIG_NVME_MULTIPATH)	+= multipath.o
nvme-core-$(CONFIG_BLK_DEV_ZONED)	+= zns.o
nvme-core-$(CONFIG_FAULT_INJECTION_DEBUG_FS)	+= fault_inject.o
nvme-core-$(CONFIG_NVME_HWMON)		+= hwmon.o
nvme-core-$(CONFIG_NVME_HOST_AUTH)		+= auth.o

nvme-y					+= pci.o
ifeq ($(CONFIG_GPU_DIRECT_STORAGE),y)
nvme-y					+= nvfs-dma.o
endif
ifeq ($(CONFIG_COMPAT_NVME_SNAP_VFIO_PCI),m)
nvme-y					+= passthru.o
endif

nvme-fabrics-y				+= fabrics.o

nvme-rdma-y				+= rdma.o
ifeq ($(CONFIG_GPU_DIRECT_STORAGE),y)
nvme-rdma-y				+= nvfs-rdma.o
endif

ifeq ($(CONFIG_NVME_HOST_WITHOUT_FC),m)
nvme-fc-y				+= nvme-fc_dummy.o
else
nvme-fc-y				+= fc.o
endif

nvme-tcp-y				+= tcp.o

nvme-apple-y				+= apple.o

endif

# these 2 drivers depend on nvme-fc, so replace them with dummy drivers
ifneq ($(filter m,$(CONFIG_NVME_FC) $(CONFIG_NVME_HOST_WITHOUT_FC)),)
obj-$(CONFIG_SCSI_QLA_FC) += qla2xxx.o
qla2xxx-y := qla2xxx_dummy.o

obj-$(CONFIG_TCM_QLA2XXX) += tcm_qla2xxx.o
tcm_qla2xxx-y := tcm_qla2xxx_dummy.o
endif

=== mlnx-nvme/lpfc/Makefile ===
#
# Build this dummy module only when building real nvme core module
#

ifneq ($(CONFIG_NVME_HOST_DUMMY),m)

obj-$(CONFIG_SCSI_LPFC) := lpfc.o

lpfc-y := lpfc_dummy.o

endif

=== mlnx-nvme/target/Makefile ===
# SPDX-License-Identifier: GPL-2.0

ccflags-y				+= -I$(src)
obj-$(CONFIG_NVME_TARGET)		+= nvmet.o
obj-$(CONFIG_NVME_TARGET_LOOP)		+= nvme-loop.o
obj-$(CONFIG_NVME_TARGET_RDMA)		+= nvmet-rdma.o
obj-$(CONFIG_NVME_TARGET_FC)		+= nvmet-fc.o
obj-$(CONFIG_NVME_TARGET_FCLOOP)	+= nvme-fcloop.o
obj-$(CONFIG_NVME_TARGET_TCP)		+= nvmet-tcp.o

obj-$(CONFIG_NVME_TARGET_DUMMY) += nvmet-rdma.o

# --with-nvmf-host-rdma-only
# dummy
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)		+= nvmet.o
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)		+= nvme-loop.o
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)		+= nvmet-rdma.o
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)		+= nvmet-fc.o
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)		+= nvme-fcloop.o

ifeq ($(CONFIG_NVME_TARGET_DUMMY),m)
nvmet-rdma-y	+= nvmet-rdma_dummy.o
else
ifeq ($(CONFIG_NVME_HOST_WITHOUT_FC),m)
nvmet-y		+= nvmet_dummy.o
nvme-loop-y	+= nvme-loop_dummy.o
nvmet-rdma-y	+= nvmet-rdma_dummy.o
nvmet-fc-y	+= nvmet-fc_dummy.o
nvme-fcloop-y	+= nvme-fcloop_dummy.o
else
nvmet-y		+= core.o configfs.o admin-cmd.o fabrics-cmd.o \
			discovery.o io-cmd-file.o io-cmd-bdev.o
nvmet-$(CONFIG_NVME_TARGET_PASSTHRU)	+= passthru.o
nvmet-$(CONFIG_BLK_DEV_ZONED)		+= zns.o
nvmet-$(CONFIG_NVME_TARGET_AUTH)	+= fabrics-cmd-auth.o auth.o
nvme-loop-y	+= loop.o
nvmet-rdma-y	+= rdma.o
nvmet-fc-y	+= fc.o
nvme-fcloop-y	+= fcloop.o
nvmet-tcp-y	+= tcp.o
nvmet-$(CONFIG_TRACING)	+= trace.o
endif
endif

=== mlnx-ofed-kernel/ofed_scripts/Makefile ===
ifneq ($(CONFIG_MLNX_EN),m)
EXTRA_CFLAGS += $(OPENIB_KERNEL_EXTRA_CFLAGS) \
		$(KERNEL_MEMTRACK_CFLAGS) \
		-I$(CWD)/include \
		-I$(CWD)/drivers/infiniband/ulp/ipoib$(CONFIG_IPOIB_VERSION) \
		-I$(CWD)/drivers/infiniband/debug \
		-I$(CWD)/net/rds \
		-I$(CWD)/drivers/net/ethernet/mellanox/mlx5/core \
		-I$(CWD)/drivers/infiniband/hw/mlx5 \
		-I$(CWD)/net/mlxdevm \

obj-y := compat$(CONFIG_COMPAT_VERSION)/
obj-$(CONFIG_INFINIBAND)        += drivers/infiniband/
obj-$(CONFIG_INFINIBAND_IPATH)  += drivers/infiniband/hw/ipath/
obj-$(CONFIG_INFINIBAND_EHCA)   += drivers/infiniband/hw/ehca/
obj-$(CONFIG_INFINIBAND_AMSO1100)   += drivers/infiniband/hw/amso1100/
obj-$(CONFIG_MLX5_CORE)         += drivers/net/ethernet/mellanox/mlx5/core/
obj-$(CONFIG_MLXFW)             += drivers/net/ethernet/mellanox/mlxfw/
obj-$(CONFIG_MLXSW_CORE)	+= drivers/net/ethernet/mellanox/mlxsw/
obj-$(CONFIG_RDS)               += net/rds/
obj-$(CONFIG_MLXDEVM)          += net/mlxdevm/
obj-$(CONFIG_MEMTRACK)          += drivers/infiniband/debug/
obj-$(CONFIG_SUNRPC_XPRT_RDMA)  += net/sunrpc/xprtrdma/
obj-$(CONFIG_SUNRPC_XPRT_RDMA_DUMMY)  += net/sunrpc/xprtrdma/
obj-$(CONFIG_SUNRPC_XPRT_RDMA_CLIENT)  += net/sunrpc/xprtrdma/
obj-$(CONFIG_SUNRPC_XPRT_RDMA_SERVER)  += net/sunrpc/xprtrdma/
obj-$(CONFIG_NET_9P_RDMA) += net/9p/
obj-$(CONFIG_BLK_DEV_RNBD) += drivers/block/rnbd/
obj-$(CONFIG_SCSI_SRP_ATTRS)    += drivers/scsi/
obj-$(CONFIG_NVME_CORE)         += drivers/nvme/host/
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)      += drivers/nvme/host/
obj-$(CONFIG_NVME_HOST_WITHOUT_FC)      += drivers/nvme/target/
obj-$(CONFIG_BLK_DEV_NVME)      += drivers/nvme/host/
obj-$(CONFIG_NVME_FABRICS)      += drivers/nvme/host/
obj-$(CONFIG_NVME_FC)           += drivers/nvme/host/
obj-$(CONFIG_NVME_RDMA)         += drivers/nvme/host/
obj-$(CONFIG_NVME_TCP)          += drivers/nvme/host/
obj-$(CONFIG_NVME_APPLE)        += drivers/nvme/host/
obj-$(CONFIG_NVME_HOST_AUTH)         += drivers/nvme/host/
obj-$(CONFIG_NVME_COMMON)       += drivers/nvme/common/
obj-$(CONFIG_NVME_MULTIPATH)    += drivers/nvme/host/
obj-$(CONFIG_NVME_HOST_DUMMY)   += drivers/nvme/host/
obj-$(CONFIG_NVME_TARGET)       += drivers/nvme/target/
obj-$(CONFIG_NVME_TARGET_LOOP)  += drivers/nvme/target/
obj-$(CONFIG_NVME_TARGET_RDMA)  += drivers/nvme/target/
obj-$(CONFIG_NVME_TARGET_TCP)   += drivers/nvme/target/
obj-$(CONFIG_NVME_TARGET_FC)    += drivers/nvme/target/
obj-$(CONFIG_NVME_TARGET_FCLOOP)  += drivers/nvme/target/
obj-$(CONFIG_NVME_TARGET_DUMMY) += drivers/nvme/target/
obj-$(CONFIG_RDMA_RXE_DUMMY)	+= drivers/infiniband/sw/rxe/
obj-$(CONFIG_SMC)		+= net/smc/
obj-$(CONFIG_SMC_DIAG)		+= net/smc/
obj-$(CONFIG_AUXILIARY_BUS)     += drivers/base/
obj-$(CONFIG_FWCTL)     	+= drivers/fwctl/
obj-$(CONFIG_CIFS_SMB_DIRECT)		+= fs/cifs/
obj-$(CONFIG_MLX5_VDPA_NET)	+= drivers/vdpa/mlx5/
obj-$(CONFIG_MLX5_VFIO_PCI) += drivers/vfio/pci/mlx5/

else

EXTRA_CFLAGS += $(OPENIB_KERNEL_EXTRA_CFLAGS) \
		$(KERNEL_MEMTRACK_CFLAGS) \
		$(KERNEL_SYSTUNE_CFLAGS) \
		-I$(CWD)/include \
		-I$(CWD)/drivers/net/ethernet/mellanox/mlx5 \
		-I$(CWD)/drivers/net/ethernet/mellanox/mlxfw \

obj-y := compat$(CONFIG_COMPAT_VERSION)/
obj-$(CONFIG_MLX5_CORE)         += drivers/net/ethernet/mellanox/mlx5/core/
obj-$(CONFIG_MLX5_CORE)         += drivers/infiniband/hw/mlx5/mlx5_ib-dummy/
obj-$(CONFIG_MLXFW)             += drivers/net/ethernet/mellanox/mlxfw/
obj-$(CONFIG_AUXILIARY_BUS)     += drivers/base/
obj-$(CONFIG_FWCTL)   		+= drivers/fwctl/
obj-$(CONFIG_MEMTRACK)          += drivers/net/ethernet/mellanox/debug/
obj-$(CONFIG_MLXDEVM)		+= net/mlxdevm/
endif

=== kernel-mft/misc_drivers/bf3_livefish/Makefile ===
KPVER ?= $(shell uname -r)
KSRC ?= /lib/modules/$(KPVER)/build

obj-m += bf3_livefish.o

all:
	make -C $(KSRC) M=$(PWD) CONFIG_CTF= CONFIG_CC_STACKPROTECTOR_STRONG= $(WITH_MAKE_PARAMS) modules

clean:
	make -C $(KSRC) M=$(PWD) clean

=== kernel-mft/mst_backward_compatibility/mst_pci/Makefile ===
KPVER ?= $(shell uname -r)
KSRC ?= /lib/modules/$(KPVER)/build

# Check if MST_KERNEL_HEADER_PATH environment variable is defined
ifdef MST_KERNEL_HEADER_PATH
    KSRC := $(MST_KERNEL_HEADER_PATH)/build
endif

# Oracle Linux OS.
ifneq ($(shell if (echo $(KPVER) | grep -qE 'uek'); then \
                                       echo "YES"; else echo ""; fi),)
override WITH_MAKE_PARAMS += ctf-dir=$(CWD)/.ctf
endif

NNT_DRIVER_LOCATION = ../../nnt_driver
PACKAGE_NAME = nnt-driver
PACKAGE_VERSION = 1.0.0
PACKAGE_RC = 1

%: %.in
	sed \
		-e 's/@PACKAGE_NAME@/$(PACKAGE_NAME)/g' \
		-e 's/@PACKAGE_VERSION@/$(PACKAGE_VERSION)/g' \
		-e 's/@PACKAGE_RC@/$(PACKAGE_RC)/g' \
	<$< >$@

obj-m += mst_pci.o
EXTRA_CFLAGS= -I$(PWD)/$(NNT_DRIVER_LOCATION)
mst_pci-objs += $(NNT_DRIVER_LOCATION)/nnt_device.o $(NNT_DRIVER_LOCATION)/nnt_dma.o $(NNT_DRIVER_LOCATION)/nnt_pci_conf_access.o \
		 		$(NNT_DRIVER_LOCATION)/nnt_pci_conf_access_recovery.o $(NNT_DRIVER_LOCATION)/nnt_memory_access.o \
		   		$(NNT_DRIVER_LOCATION)/nnt_ioctl.o mst_pci_bc.o $(NNT_DRIVER_LOCATION)/nnt_gpu.o

all:
	make -C $(KSRC) M=$(PWD) CONFIG_CTF= CONFIG_CC_STACKPROTECTOR_STRONG= $(WITH_MAKE_PARAMS) modules

clean:
	make -C $(KSRC) M=$(PWD) clean

## mofed-modules-24.10 24.10.0.7.0.0+ds1

=== debian/changelog ===
mofed-modules-24.10 (24.10.0.7.0.0+ds1-0ubuntu1) plucky; urgency=medium

  * New upstream version 24.10.0.7.0.0+ds1
  * Revert "Only build knem and kernel-mft"
  * create-orig.sh: do not drop config.{guess,sub}
  * build_all.sh: add missing --with-core-mod
  * Introduce d/README.source
  * testsuite: do not manually install modules

 -- Agathe Porte <agathe.porte@canonical.com>  Tue, 19 Nov 2024 10:12:49 +0100

=== debian/control ===
Source: mofed-modules-24.10
Section: kernel
Priority: optional
Maintainer: Agathe Porte <agathe.porte@canonical.com>
Vcs-Git: https://kernel.ubuntu.com/gitea/gagath/mofed-modules.git
Vcs-Browser: https://kernel.ubuntu.com/gitea/gagath/mofed-modules
Build-Depends:
 debhelper-compat (= 13),
 dh-dkms,
Standards-Version: 4.7.0
Homepage: http://www.nvidia.com
Rules-Requires-Root: no

Package: mofed-modules-24.10-dkms
Architecture: all
Depends:
 dkms,
 pkgconf,
 autoconf,
 ${misc:Depends},
 ${perl:Depends},
Description: DKMS support for MOFED kernel modules
 This package provides integration with the DKMS infrastructure for
 automatically building out of tree kernel modules.
 .
 This package provides the source code for the MOFED kernel modules.
 .
 This package contains the source to be built with dkms.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

export DEB_SOURCE
export DEB_VERSION_UPSTREAM

DEST:="debian/$(DEB_SOURCE)-dkms/usr/src/$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/"

debian/dkms: debian/dkms.in


%:
	dh $@ --with dkms


override_dh_autoreconf:
	sed debian/dkms.in \
		-e "s/%DEB_SOURCE%/$(DEB_SOURCE)/" \
		-e "s/%DEB_VERSION_UPSTREAM%/$(DEB_VERSION_UPSTREAM)/" \
		> debian/dkms

	dh_autoreconf

override_dh_strip_nondeterminism:


override_dh_fixperms:
	dh_fixperms

	# Fix executable-not-elf-or-script lintian warning
	chmod -x \
		$(DEST)/iser/makefile \
		$(DEST)/isert/makefile \
		$(DEST)/kernel-mft/mst_backward_compatibility/mst_ppc/mst_ppc_pci_reset.c \
		$(DEST)/knem/knem.spec \
		$(DEST)/mlnx-nfsrdma/makefile \
		$(DEST)/mlnx-nvme/makefile \
		$(DEST)/mlnx-ofed-kernel/drivers/fwctl/_makefile_ \
		$(DEST)/mlnx-ofed-kernel/drivers/infiniband/ulp/iser/_makefile_ \
		$(DEST)/mlnx-ofed-kernel/drivers/infiniband/ulp/isert/_makefile_ \
		$(DEST)/mlnx-ofed-kernel/drivers/infiniband/ulp/srp/_makefile_ \
		$(DEST)/mlnx-ofed-kernel/drivers/nvme/_makefile_ \
		$(DEST)/mlnx-ofed-kernel/include/linux/cleanup.h \
		$(DEST)/mlnx-ofed-kernel/net/sunrpc/xprtrdma/_makefile_ \
		$(DEST)/mlnx-ofed-kernel/ofed_scripts/mlnx_en/scripts/mlnx_en_uninstall.sh \
		$(DEST)/srp/makefile

	# Fix package-contains-documentation-outside-usr-share-doc lintian warning
	rm $(DEST)/mlnx-ofed-kernel/drivers/fwctl/debian/copyright

=== debian/tests/control ===
Tests: testsuite
Architecture: amd64
Restrictions:
 needs-root,
 superficial,
 isolation-machine,
Depends:
 @,
 dkms,
 linux-headers-generic,

## mofed-modules-24.10 24.10.1.1.4.0

=== debian/changelog ===
mofed-modules-24.10 (24.10.1.1.4.0-0ubuntu2~24.04.1) noble; urgency=medium

  * Backport 24.10.1.1.4.0-0ubuntu2 to noble (LP: #2100003)
  * Update gbp.conf for 24.10/noble

 -- Agathe Porte <agathe.porte@canonical.com>  Wed, 19 Mar 2025 10:26:05 +0100

mofed-modules-24.10 (24.10.1.1.4.0-0ubuntu2) plucky; urgency=medium

  * Add postinst and postrm hooks to call update-initramfs
  * Update year to 2025 in d/copyright
  * Ignore lintian bashisms warnings for config.guess

 -- Agathe Porte <agathe.porte@canonical.com>  Tue, 25 Feb 2025 10:36:13 +0100

mofed-modules-24.10 (24.10.1.1.4.0-0ubuntu1) plucky; urgency=medium

  * New upstream version 24.10.1.1.4.0
  * build_all.sh: drop --with-mlx5-ipsec to match upstream
  * Switch Maintainer to Ubuntu Kernel Team
  * Use autopkgtest-pkg-dkms for testing
  * Rework debian/gen-dkms-conf-mod-entries.sh
  * Add some missing entries in d/copyright
  * README.source: add upgrade guides
  * Do not build mlnx-nvme to match upstream installer

 -- Agathe Porte <agathe.porte@canonical.com>  Wed, 05 Feb 2025 16:02:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: mofed-modules-24.10
 Section: kernel
 Priority: optional
-Maintainer: Agathe Porte <agathe.porte@canonical.com>
+Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
+Uploaders:
+ Agathe Porte <agathe.porte@canonical.com>,
 Vcs-Git: https://kernel.ubuntu.com/gitea/gagath/mofed-modules.git
 Vcs-Browser: https://kernel.ubuntu.com/gitea/gagath/mofed-modules
 Build-Depends:
@@ -10,6 +12,7 @@
 Standards-Version: 4.7.0
 Homepage: http://www.nvidia.com
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: mofed-modules-24.10-dkms
 Architecture: all
